MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029597Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-03-20 12:552018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029597: Data Exchange - unable to read VRML2 file
DescriptionThe file in attachment cannot be read (converted from VRML1 file using vrml1tovrml2.exe tool).

@echo off

rem Convert all VRML files within specified folder and puts it into "CONVERTED_VRML2" folder

rem Syntax: vrml1tovrml2.exe InputFolder=. OutputFolder=CONVERTED_VRML2
set "aResDir=%~dp0CONVERTED_VRML2"
if not "%2"=="" set "aResDir=%2"

if exist "%aResDir%" rmdir /S /Q "%aResDir%"
mkdir "%aResDir%"

if not "%1"=="" pushd "%1"
for /R %%f in (.\*.wrl) do (
  @echo %%~nxf
  "%~dp0vrml1tovrml2.exe" "%%f" > "%aResDir%\%%~nxf"
)
if not "%1"=="" popd "%1"
Steps To Reproduce
pload VISUALIZATION XDE
vclear
vinit View1
loadvrml v [locate_data_file bug29597_vrml2.wrl]
vdisplay -dispMode 1 v
vfit

set anArea [triarea v]
if { [lindex anArea 0] != 5341500} { puts "Error: unexepected triangulation area" }
checktrinfo v -tri 12 -nod 24
TagsNo tags attached.
Test case numberbugs xde bug29597
Attached Files? file icon bug29597_vrml2.wrl (6,814 bytes) 2018-03-20 12:55

- Relationships
related to 0029539newgka Data Exchange - unable to read VRML from data samples 

-  Notes
(0074702)
git (administrator)
2018-03-20 13:51

Branch CR29597 has been created by kgv.

SHA-1: 2989541bc617e49673f2894432dc08e9edd35a68


Detailed log of new commits:

Author: akz
Date: Fri Aug 5 11:24:58 2016 +0300

    0029597: Data Exchange - unable to read VRML2 file
    
    VrmlData_Scene::createNode() now handles Collision item.
    VrmlData_ArrayVec3d::ReadArray() now handles a case with ommited brackets.
(0074703)
kgv (developer)
2018-03-20 13:52

Patch is ready for review.
(0074893)
abv (manager)
2018-03-25 17:45

One remark: in VrmlData_Geometry.cxx, line 641: it seems that the point should NOT be added to array if its reading fails
(0074902)
kgv (developer)
2018-03-25 22:41

> it seems that the point should NOT be added to array if its reading fails
As far as I understand, VRML reader is not fail safe - the reading will be aborted on first error.
(0074906)
git (administrator)
2018-03-26 06:56

Branch CR29597_1 has been created by abv.

SHA-1: 67453428344bc121bca58865a05c962e804a5ae7


Detailed log of new commits:

Author: akz
Date: Fri Aug 5 11:24:58 2016 +0300

    0029597: Data Exchange - unable to read VRML2 file
    
    VrmlData_Scene::createNode() now handles Collision item.
    VrmlData_ArrayVec3d::ReadArray() now handles a case with omitted brackets.
(0074921)
git (administrator)
2018-03-26 13:54

Branch CR29597_1 has been updated forcibly by abv.

SHA-1: a088f717bee41545d2c8ae929130f72a59d2b866
(0074922)
abv (manager)
2018-03-26 14:00

Reviewed with minor correction, please integrate (branch CR29597_1). Note that the last (forced) commit contains only correction for the new test case; apart of this test that needs a file to be added, build and tests passed indeed -- see Jenkins job CR29597-master-abv
(0074975)
bugmaster (administrator)
2018-03-27 17:31

Combination -
OCCT branch : CR29597_1 SHA - 67453428344bc121bca58865a05c962e804a5ae7
Products branch : master SHA - d1433da51be7aa6ea5f04a20d332d5b18f879d1f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18217.710000000123 / 18135.489999999976 [+0.45%]
Products
Total CPU difference: 7420.750000000001 / 7435.139999999992 [-0.19%]
Windows-64-VC10:
OCCT
Total CPU difference: 17823.36385159844 / 17864.39211459853 [-0.23%]
Products
Total CPU difference: 8173.001590699962 / 8129.77371359997 [+0.53%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075331)
git (administrator)
2018-04-11 11:00

Branch CR29597 has been deleted by kgv.

SHA-1: 2989541bc617e49673f2894432dc08e9edd35a68
(0075332)
git (administrator)
2018-04-11 11:00

Branch CR29597_1 has been deleted by kgv.

SHA-1: a088f717bee41545d2c8ae929130f72a59d2b866

- Related Changesets
occt: master f84d6446
Timestamp: 2016-08-05 08:24:58
Author: akz
Committer: bugmaster
Details ] Diff ]
0029597: Data Exchange - unable to read VRML2 file

VrmlData_Scene::createNode() now handles Collision item.
VrmlData_ArrayVec3d::ReadArray() now handles a case with omitted brackets.

Added test bugs xde bug29597
mod - src/VrmlData/VrmlData_Geometry.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Group.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
add - tests/bugs/xde/bug29597 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-20 12:55 kgv New Issue
2018-03-20 12:55 kgv Assigned To => gka
2018-03-20 12:55 kgv File Added: bug29597_vrml2.wrl
2018-03-20 12:56 kgv Relationship added related to 0029539
2018-03-20 13:10 kgv Steps to Reproduce Updated View Revisions
2018-03-20 13:51 git Note Added: 0074702
2018-03-20 13:52 kgv Note Added: 0074703
2018-03-20 13:52 kgv Assigned To gka => abv
2018-03-20 13:52 kgv Status new => resolved
2018-03-20 13:52 kgv Description Updated View Revisions
2018-03-20 13:55 kgv Product Version 7.2.0 => 6.3.1
2018-03-20 14:19 kgv Description Updated View Revisions
2018-03-25 17:45 abv Note Added: 0074893
2018-03-25 22:41 kgv Note Added: 0074902
2018-03-26 06:56 git Note Added: 0074906
2018-03-26 13:54 git Note Added: 0074921
2018-03-26 14:00 abv Note Added: 0074922
2018-03-26 14:00 abv Assigned To abv => bugmaster
2018-03-26 14:00 abv Status resolved => reviewed
2018-03-26 16:34 bugmaster Test case number => bugs xde bug29597
2018-03-27 17:31 bugmaster Note Added: 0074975
2018-03-27 17:31 bugmaster Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master f84d6446
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075331
2018-04-11 11:00 git Note Added: 0075332
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker